Subject: Re: Persimmon tree

From: [email-masked] (Gerald W. Roe)
Date: 1 Mar 1995 07:21:23 GMT

Most persimmons produce seedless fruit without pollination. There
are exceptions, one of which is John Rick. American persimmons
can reach 35-40', but Asians stay around 15'. The Asians need to
be in sun to ripen the fruit, and the trees are not usually as 
hardy, most varieties only to 0, whereas the Americans can take 
-25 in most cases. The Asian Saijo is hardy to -10. I don't know 
anything about tea.
-- 
Trans-Pacific Nursery        Rare and Exotic Plants
Email catalog available      Timber Press books discounted